<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KaydetResponse StructType
 * @subpackage Structs
 */
class KaydetResponse extends AbstractStructBase
{
    /**
     * The KaydetResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $KaydetResult;
    /**
     * The siparisler
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfSiparis
     */
    public $siparisler;
    /**
     * The mesaj
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $mesaj;
    /**
     * Constructor method for KaydetResponse
     * @uses KaydetResponse::setKaydetResult()
     * @uses KaydetResponse::setSiparisler()
     * @uses KaydetResponse::setMesaj()
     * @param bool $kaydetResult
     * @param \ArrayType\ArrayOfSiparis $siparisler
     * @param string $mesaj
     */
    public function __construct($kaydetResult = null, \ArrayType\ArrayOfSiparis $siparisler = null, $mesaj = null)
    {
        $this
            ->setKaydetResult($kaydetResult)
            ->setSiparisler($siparisler)
            ->setMesaj($mesaj);
    }
    /**
     * Get KaydetResult value
     * @return bool
     */
    public function getKaydetResult()
    {
        return $this->KaydetResult;
    }
    /**
     * Set KaydetResult value
     * @param bool $kaydetResult
     * @return \StructType\KaydetResponse
     */
    public function setKaydetResult($kaydetResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($kaydetResult) && !is_bool($kaydetResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($kaydetResult, true), gettype($kaydetResult)), __LINE__);
        }
        $this->KaydetResult = $kaydetResult;
        return $this;
    }
    /**
     * Get siparisler value
     * @return \ArrayType\ArrayOfSiparis|null
     */
    public function getSiparisler()
    {
        return $this->siparisler;
    }
    /**
     * Set siparisler value
     * @param \ArrayType\ArrayOfSiparis $siparisler
     * @return \StructType\KaydetResponse
     */
    public function setSiparisler(\ArrayType\ArrayOfSiparis $siparisler = null)
    {
        $this->siparisler = $siparisler;
        return $this;
    }
    /**
     * Get mesaj value
     * @return string|null
     */
    public function getMesaj()
    {
        return $this->mesaj;
    }
    /**
     * Set mesaj value
     * @param string $mesaj
     * @return \StructType\KaydetResponse
     */
    public function setMesaj($mesaj = null)
    {
        // validation for constraint: string
        if (!is_null($mesaj) && !is_string($mesaj)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($mesaj, true), gettype($mesaj)), __LINE__);
        }
        $this->mesaj = $mesaj;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\KaydetResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
