<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OnayResponse StructType
 * @subpackage Structs
 */
class OnayResponse extends AbstractStructBase
{
    /**
     * The OnayResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $OnayResult;
    /**
     * The siparisler
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfSiparis
     */
    public $siparisler;
    /**
     * The mesaj
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $mesaj;
    /**
     * Constructor method for OnayResponse
     * @uses OnayResponse::setOnayResult()
     * @uses OnayResponse::setSiparisler()
     * @uses OnayResponse::setMesaj()
     * @param bool $onayResult
     * @param \ArrayType\ArrayOfSiparis $siparisler
     * @param string $mesaj
     */
    public function __construct($onayResult = null, \ArrayType\ArrayOfSiparis $siparisler = null, $mesaj = null)
    {
        $this
            ->setOnayResult($onayResult)
            ->setSiparisler($siparisler)
            ->setMesaj($mesaj);
    }
    /**
     * Get OnayResult value
     * @return bool
     */
    public function getOnayResult()
    {
        return $this->OnayResult;
    }
    /**
     * Set OnayResult value
     * @param bool $onayResult
     * @return \StructType\OnayResponse
     */
    public function setOnayResult($onayResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($onayResult) && !is_bool($onayResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($onayResult, true), gettype($onayResult)), __LINE__);
        }
        $this->OnayResult = $onayResult;
        return $this;
    }
    /**
     * Get siparisler value
     * @return \ArrayType\ArrayOfSiparis|null
     */
    public function getSiparisler()
    {
        return $this->siparisler;
    }
    /**
     * Set siparisler value
     * @param \ArrayType\ArrayOfSiparis $siparisler
     * @return \StructType\OnayResponse
     */
    public function setSiparisler(\ArrayType\ArrayOfSiparis $siparisler = null)
    {
        $this->siparisler = $siparisler;
        return $this;
    }
    /**
     * Get mesaj value
     * @return string|null
     */
    public function getMesaj()
    {
        return $this->mesaj;
    }
    /**
     * Set mesaj value
     * @param string $mesaj
     * @return \StructType\OnayResponse
     */
    public function setMesaj($mesaj = null)
    {
        // validation for constraint: string
        if (!is_null($mesaj) && !is_string($mesaj)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($mesaj, true), gettype($mesaj)), __LINE__);
        }
        $this->mesaj = $mesaj;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\OnayResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
